# $Revision: 1.6 $, $Date: 2004/10/14 16:47:09 $
# NOTE: no SMP drivers for now - I don't know if these binaries would work?
# TODO: test it on SMP and add SMP modules or update above comment
# 
# Conditional build:
%bcond_without	dist_kernel	# without kernel from distribution
%bcond_without  kernel          # don't build kernel modules
%bcond_without  smp             # don't build SMP module
%bcond_without  userspace       # don't build userspace module
%bcond_with     verbose         # verbose build (V=1)
#
Summary:	Smart Link soft modem drivers
Summary(pl):	Sterowniki do modemw programowych Smart Link
Name:		slmodem
Version:	2.9.10
%define	rel	1
Release:	%{rel}
License:	BSD almost without source
Vendor:		Smart Link Ltd.
Group:		Base/Kernel
# ftp://ftp.smlink.com/linux/unsupported/
Source0:	http://www.smlink.com/main/down/%{name}-%{version}.tar.gz
# Source0-md5:	cbc4918f2ee9ed4952d3f4309d364b35
# Source0-size:	806884
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://www.smlink.com/
%{?with_dist_kernel:BuildRequires:	kernel-headers}
BuildRequires:	%{kgcc_package}
BuildRequires:	rpmbuild(macros) >= 1.118
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Smart Link soft modem drivers.

%description -l pl
Sterowniki do modemw programowych Smart Link.

%package -n kernel-char-slmodem-amr
Summary:	Linux kernel driver for Smart Link soft modem AMR/PCI component
Summary(pl):	Sterownik jdra Linuksa dla elementu AMR/PCI modemw programowych Smart Link
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_up}
Requires(post,postun):	/sbin/depmod

%description -n kernel-char-slmodem-amr
Linux kernel drivers for Smart Link soft modem. This package contains
driver for HAMR5600 based AMR/CNR/MDC/ACR modem cards and SmartPCI56,
SmartPCI561 based PCI modem cards.

%description -n kernel-char-slmodem-amr -l pl
Sterowniki jdra Linuksa dla modemw programowych Smart Link. Ten
pakiet zawiera sterownik do opartych na HAMR5600 kart modemowych
AMR/CNR/MDC/ACR oraz kart PCI SmartPCI56 i SmartPCI561.

%package -n kernel-char-slmodem-usb
Summary:	Linux kernel driver for Smart Link soft modem USB component
Summary(pl):	Sterownik jdra Linuksa dla elementu USB modemw programowych Smart Link
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_up}
Requires(post,postun):	/sbin/depmod

%description -n kernel-char-slmodem-usb
Linux kernel drivers for Smart Link soft modem. This package contains
driver for SmartUSB56 based USB modem.

%description -n kernel-char-slmodem-usb -l pl
Sterowniki jdra Linuksa dla modemw programowych Smart Link. Ten
pakiet zawiera sterownik dla modemw USB opartych  na SmartUSB56.

%package -n kernel-smp-char-slmodem-amr
Summary:	Linux kernel driver for Smart Link soft modem AMR/PCI component (SMP)
Summary(pl):	Sterownik jdra Linuksa dla elementu AMR/PCI modemw programowych Smart Link (SMP)
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_smp}
Requires(post,postun):	/sbin/depmod

%description -n kernel-smp-char-slmodem-amr
Linux kernel drivers for Smart Link soft modem. This package contains
driver for HAMR5600 based AMR/CNR/MDC/ACR modem cards and SmartPCI56,
SmartPCI561 based PCI modem cards. SMP kernels.

%description -n kernel-smp-char-slmodem-amr -l pl
Sterowniki jdra Linuksa dla modemw programowych Smart Link. Ten
pakiet zawiera sterownik do opartych na HAMR5600 kart modemowych
AMR/CNR/MDC/ACR oraz kart PCI SmartPCI56 i SmartPCI561. Jdra SMP.

%package -n kernel-smp-char-slmodem-usb
Summary:	Linux kernel driver for Smart Link soft modem USB component (SMP)
Summary(pl):	Sterownik jdra Linuksa dla elementu USB modemw programowych Smart Link (SMP)
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_smp}
Requires(post,postun):	/sbin/depmod

%description -n kernel-smp-char-slmodem-usb
Linux kernel drivers for Smart Link soft modem. This package contains
driver for SmartUSB56 based USB modem. SMP kernels.

%description -n kernel-smp-char-slmodem-usb -l pl
Sterowniki jdra Linuksa dla modemw programowych Smart Link. Ten
pakiet zawiera sterownik dla modemw USB opartych  na SmartUSB56. Jdra SMP.

%prep
%setup -q

%build
cd drivers
cp amrlibs.o ..

%if %{with kernel}
# kernel module(s)
for cfg in %{?with_dist_kernel:%{?with_smp:smp} up}%{!?with_dist_kernel:nondist}; do
    if [ ! -r "%{_kernelsrcdir}/config-$cfg" ]; then
        exit 1
    fi
    rm -rf include
    install -d include/{linux,config}
    ln -sf %{_kernelsrcdir}/config-$cfg .config
    ln -sf %{_kernelsrcdir}/include/linux/autoconf-$cfg.h include/linux/autoconf.h
    ln -sf %{_kernelsrcdir}/include/asm-%{_target_base_arch} include/asm
    touch include/config/MARKER
#
#       patching/creating makefile(s) (optional)
#
    %{__make} -C %{_kernelsrcdir} clean \
        RCS_FIND_IGNORE="-name '*.ko' -o" \
        M=$PWD O=$PWD \
        %{?with_verbose:V=1}
    ln -sf ../amrlibs.o amrlibs.o
    %{__make} -C %{_kernelsrcdir} modules \
        CC="%{__cc}" CPP="%{__cpp}" \
        M=$PWD O=$PWD \
        %{?with_verbose:V=1}
    for mod in *.ko; do
	mod=$(echo "$mod" | sed -e 's#\.ko##g')
	mv $mod.ko ../$mod-$cfg.ko
    done
done
%endif

%if %{with userspace}
%{__make} -C ../modem \
	CC="%{__cc}"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}
install -d $RPM_BUILD_ROOT{%{_sbindir},/lib/modules/%{_kernel_ver}{,smp}/misc,%{_var}/lib/%{name}}

%if %{with userspace}
install modem/slmodemd $RPM_BUILD_ROOT%{_sbindir}
install modem/modem_test $RPM_BUILD_ROOT%{_sbindir}/slmodem-test
install %{SOURCE1}      $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2}      $RPM_BUILD_ROOT/etc/sysconfig/%{name}
%endif

%if %{with kernel}
for mod in *-up.ko; do
	nmod=$(echo "$mod" | sed -e 's#-up##g')
	install $mod $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc/$nmod
done
%if %{with smp}
for mod in *-smp.ko; do
	nmod=$(echo "$mod" | sed -e 's#-smp##g')
	install $mod $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/$nmod
done
%endif
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n kernel-char-slmodem-amr
%depmod %{_kernel_ver}

%postun -n kernel-char-slmodem-amr
%depmod %{_kernel_ver}

%post -n kernel-char-slmodem-usb
%depmod %{_kernel_ver}

%postun -n kernel-char-slmodem-usb
%depmod %{_kernel_ver}

%post -n kernel-smp-char-slmodem-amr
%depmod %{_kernel_ver}smp

%postun -n kernel-smp-char-slmodem-amr
%depmod %{_kernel_ver}smp

%post -n kernel-smp-char-slmodem-usb
%depmod %{_kernel_ver}smp

%postun -n kernel-smp-char-slmodem-usb
%depmod %{_kernel_ver}smp

%post
/sbin/chkconfig --add %{name}
if [ -f /var/lock/subsys/%{name} ]; then
        /etc/rc.d/init.d/%{name} restart >&2
else
        echo "Run \"/etc/rc.d/init.d/%{name} start\" to start %{name} daemon." >&2
fi

%preun
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/%{name} ]; then
                /etc/rc.d/init.d/%{name} stop
        fi
        /sbin/chkconfig --del %{name}
fi

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc COPYING README* Changes
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not mtime md5 size) /etc/sysconfig/%{name}
%dir %{_var}/lib/%{name}
%endif

%if %{with kernel}
%files -n kernel-char-slmodem-amr
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/slamr.*o*

%files -n kernel-char-slmodem-usb
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/misc/slusb.*o*

%if %{with smp}
%files -n kernel-smp-char-slmodem-amr
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/misc/slamr.*o*

%files -n kernel-smp-char-slmodem-usb
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/misc/slusb.*o*
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: slmodem.spec,v $
Revision 1.6  2004/10/14 16:47:09  arekm
- up to 2.9.10

Revision 1.5  2004/08/15 20:35:18  arekm
- updated to 2.9.9

Revision 1.4  2004/06/20 03:07:31  arekm
- updated to 2.9.8

Revision 1.3  2004/05/05 16:55:05  arekm
- 2.9.7

Revision 1.2  2004/04/19 18:20:01  arekm
- fix build without kernel modules + add /var/lib/slmodem

Revision 1.1  2004/04/10 23:05:45  arekm
- initial based on slmdm.spec

Revision 1.19  2004/02/01 23:59:24  eothane
- bcond, cosmetics

Revision 1.18  2003/08/19 13:45:52  arekm
- fix url

Revision 1.17  2003/08/18 08:09:34  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.16  2003/07/10 12:32:51  ankry
- cosmetics

Revision 1.15  2003/07/10 12:19:50  trojan
- added BR: rpmbuild(macros) >= 1.118

Revision 1.14  2003/07/10 10:43:50  trojan
- added using depmod macro

Revision 1.13  2003/05/27 11:52:18  trojan
- added Source-md5

Revision 1.12  2003/05/25 06:26:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/05/15 18:20:03  trojan
- fixed depmod in %%post and %%postun when build with _without_dist_kernel

Revision 1.10  2003/05/10 14:45:43  misiek
- turn on devfs support for ttySL

Revision 1.9  2003/05/10 09:41:16  misiek
- fix changelog

Revision 1.8  2003/05/05 10:18:02  misiek
- updated to 2.7.14

+ Version 2.7.14
        - V34/V90/V92 improvements.

+ Version 2.7.12
        - V92 improvements.
        - Support for ICH4.
        - Support for SmartRiser561.
        - Support for SmartRiser563.
        - misc fixes.

Revision 1.7  2003/03/25 12:21:44  trojan
- updated to 2.7.10

Revision 1.6  2003/03/13 13:20:04  qboosh
- more cleaning

Revision 1.5  2003/03/13 13:19:40  qboosh
- merged lost PLDifications from rev. 1.1
- patch for 2.4.20 is still needed
- DON'T USE modprobe IN %%post/%%postun!

Revision 1.4  2003/03/08 08:40:44  adamg
- fixed url

Revision 1.3  2003/03/03 14:54:00  adamg
- renamed packages.
- release 0.2

Revision 1.2  2003/02/26 21:48:57  adamg
- new driver version, which is a bit more open. Spec based on the one
  distributed with tarball.

Revision 1.1  2002/12/20 11:37:27  qboosh
- new, awful binaries inside; seems to work on 2.4.18 with SiS 56k winmodem
